package com.iamberry.wechat.core.entity.mq;

import java.io.Serializable;
import java.util.Date;

/**
 * @author:何秀刚
 * @description: 消息队列服务器数据库实体类
 * @createDate:2016年5月25日
 */
public class MQMessage implements Serializable {
	private static final long serialVersionUID = -3169542287905992343L;

	private Integer serviceId;						// ID
	
	private String serviceToMessage;				// type为1、2、3时，此为订单ID
													// type为4时，此为电话号码
													// type为5时，此为微信openid
	
	private Integer serviceIsSend;					// 1:已推送 ; 2:未推送;
	
	private Integer serviceStatus;					// 1:推送成功；2:推送失败
 
	private Integer serviceType;					// 1:添加订单信息
													// 2:更新订单信息(将我们的信息更新同步到百胜系统)
													// 3：获取订单信息，从百胜获取订单信息并更新到我们数据库
													// 4：发送电话号码
													// 5：发生微信消息
	
	private String serviceOtherMessage;				// 其他消息，type为4时，此为验证码
	
	private Date serviceCreateDate;					// 创建时间
	
	private String serviceHandlerObjectName;		// 对象名称
	
	private String serviceHandlerMethodName;		// 方法名称
	
	private String serviceErrorMessage;				// 失败时的消息
	
	public String getServiceErrorMessage() {
		return serviceErrorMessage;
	}

	public void setServiceErrorMessage(String serviceErrorMessage) {
		this.serviceErrorMessage = serviceErrorMessage;
	}

	public Integer getServiceId() {
		return serviceId;
	}

	public void setServiceId(Integer serviceId) {
		this.serviceId = serviceId;
	}

	public String getServiceToMessage() {
		return serviceToMessage;
	}

	public void setServiceToMessage(String serviceToMessage) {
		this.serviceToMessage = serviceToMessage;
	}

	public Integer getServiceIsSend() {
		return serviceIsSend;
	}

	public void setServiceIsSend(Integer serviceIsSend) {
		this.serviceIsSend = serviceIsSend;
	}

	public Integer getServiceType() {
		return serviceType;
	}

	public void setServiceType(Integer serviceType) {
		this.serviceType = serviceType;
	}

	public String getServiceOtherMessage() {
		return serviceOtherMessage;
	}

	public void setServiceOtherMessage(String serviceOtherMessage) {
		this.serviceOtherMessage = serviceOtherMessage;
	}

	public Date getServiceCreateDate() {
		return serviceCreateDate;
	}

	public void setServiceCreateDate(Date serviceCreateDate) {
		this.serviceCreateDate = serviceCreateDate;
	}

	public String getServiceHandlerObjectName() {
		return serviceHandlerObjectName;
	}

	public void setServiceHandlerObjectName(String serviceHandlerObjectName) {
		this.serviceHandlerObjectName = serviceHandlerObjectName;
	}

	public String getServiceHandlerMethodName() {
		return serviceHandlerMethodName;
	}

	public void setServiceHandlerMethodName(String serviceHandlerMethodName) {
		this.serviceHandlerMethodName = serviceHandlerMethodName;
	}

	public Integer getServiceStatus() {
		return serviceStatus;
	}

	public void setServiceStatus(Integer serviceStatus) {
		this.serviceStatus = serviceStatus;
	}

	@Override
	public String toString() {
		return "MQMessage [serviceId=" + serviceId + ", serviceToMessage="
				+ serviceToMessage + ", serviceIsSend=" + serviceIsSend
				+ ", serviceStatus=" + serviceStatus + ", serviceType="
				+ serviceType + ", serviceOtherMessage=" + serviceOtherMessage
				+ ", serviceCreateDate=" + serviceCreateDate
				+ ", serviceHandlerObjectName=" + serviceHandlerObjectName
				+ ", serviceHandlerMethodName=" + serviceHandlerMethodName
				+ "]";
	}
}
